Package twisted :: Package im :: Module interfaces :: Class IClient

[frames | no frames]

## Class IClient

    Interface --+
                |
               IClient

Method Summary
| ``__init__`(self, account, chatui, logonDeferred)`
| `getGroupConversation(self, name, hide)`
| `getPerson(self, name)`
| ``joinGroup`(self, groupName)`
| ``leaveGroup`(self, groupName)`

Instance Variable Summary
`IAccount` | `account`: The Account I am a Client for.

Method Details

### __init__(self, account, chatui, logonDeferred)
(Constructor)

  Parameters:
    `account`
    (type=`IAccount`)
    `chatui`
    (type=`IChatUI`)
    `logonDeferred` - Will be called back once I am logged on.
    (type=`Deferred`)

### joinGroup(self, groupName)

  Parameters:
    `groupName` - The name of the group to join.
    (type=string)

### leaveGroup(self, groupName)

  Parameters:
    `groupName` - The name of the group to leave.
    (type=string)

Instance Variable Details

### account

The Account I am a Client for.

  Type:
    `IAccount`

Generated by Epydoc 2.0 on Sat May 15 20:08:19 2004 | http://epydoc.sf.net